group "EquityPrice.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 4 elements
Defined: | globally in fpml-asset-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
grossPrice?, netPrice?, accruedInterestPrice?, fxConversion?

Content Model Elements (4):

  accruedInterestPrice, fxConversion, grossPrice, netPrice

Known Usage Locations

- In definitions of global complexTypes (1):
  Price

XML Source (w/o annotations (4); see within schema source)

<xsd:group name="EquityPrice.model"> <xsd:sequence> <xsd:element minOccurs="0" name="grossPrice" type="ActualPrice"/> <xsd:element minOccurs="0" name="netPrice" type="ActualPrice"/> <xsd:element minOccurs="0" name="accruedInterestPrice" type="xsd:decimal"/> <xsd:element minOccurs="0" name="fxConversion" type="FxConversion"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 4/4)
accruedInterestPrice

  Type: | xsd:decimal, predefined, simple content

  Specifies the accrued interest that are part of the dirty price in the case of a fixed income security or a convertible bond. Expressed in percentage of the notional.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="accruedInterestPrice" type="xsd:decimal"/>

fxConversion

  Type: | FxConversion, complex content

  Specifies the currency conversion rate that applies to an amount. This rate can either be defined elsewhere in the document (case of a quanto swap), or explicitly described through this component.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fxConversion" type="FxConversion"/>

grossPrice

  Type: | ActualPrice, complex content

  Specifies the price of the underlyer, before commissions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="grossPrice" type="ActualPrice"/>

netPrice

  Type: | ActualPrice, complex content

  Specifies the price of the underlyer, net of commissions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="netPrice" type="ActualPrice"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.